import { PositionInRelativeCoord } from './PositionInRelativeCoord.js';
export class PositionInPixels {
    // Negative values are allowed.
    constructor(x, y) {
        this.x = x;
        this.y = y;
    }
    getRelativeCoord(baseSize) {
        if (baseSize.isUnknown()) {
            return new PositionInRelativeCoord();
        }
        return new PositionInRelativeCoord(this.x / baseSize.getSafeWidth(), this.y / baseSize.getSafeHeight());
    }
    toString() {
        return `{x=${this.x.toFixed(3)}px, y=${this.y.toFixed(3)}px}`;
    }
}
//# sourceMappingURL=PositionInPixels.js.map