import { Logger } from './Logger.js';
import { PositionInPixels } from './PositionInPixels.js';
import { PositionInRelativeCoord } from './PositionInRelativeCoord.js';
import { SizeInPixels } from './SizeInPixels.js';
import { SizeInRelativeCoord } from './SizeInRelativeCoord.js';
import { Transformation } from './Transformation.js';
export interface ImageRegionFromHtmlAttr {
    id?: string;
    shape?: string;
    unit?: string;
    imageWidth?: number | string;
    imageHeight?: number | string;
    x?: number | string;
    y?: number | string;
    width?: number | string;
    height?: number | string;
}
export declare class RectangleImageRegion {
    constructor(id?: string, position?: PositionInRelativeCoord, size?: SizeInRelativeCoord);
    setFields(values: ImageRegionFromHtmlAttr, logger: Logger): void;
    isUnknown(): boolean;
    getTransformation(currentComponentSize: SizeInPixels, // component = <img> element
    originalImageRegionSize: SizeInPixels, bottomRightClipMargins: SizeInPixels): Transformation;
    getBoundingBox(currentComponentSize: SizeInPixels, // component = <img> element
    originalImageRegionSize: SizeInPixels, transformation: Transformation): {
        position: PositionInPixels;
        size: SizeInPixels;
    };
    id: string;
    position: PositionInRelativeCoord;
    size: SizeInRelativeCoord;
    _unknown: boolean;
}
